﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PoEcoDB.JSON
{
    internal class Settings
    {
        public class SETTINGS
        {
            public string dbHost { get; set; }
            public string dbPort { get; set; }
            public string dbName { get; set; }
            public string dbUser { get; set; }
            public string dbPass { get; set; }
            public string league { get; set; }
        }

        public static string GetdbHost() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).dbHost;
        public static string GetdbPort() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).dbPort;
        public static string GetdbName() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).dbName;
        public static string GetdbUser() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).dbUser;
        public static string GetdbPass() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).dbPass;
        public static string GetLeague() => JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json")).league;

        public static void WriteSection(string section)
        {
            SETTINGS settings = JsonConvert.DeserializeObject<SETTINGS>(File.ReadAllText("data/settings.json"));
            File.WriteAllText("data/settings.json", JsonConvert.SerializeObject((object)new SETTINGS()
            {
                dbHost = settings.dbHost,
                dbPort = settings.dbPort,
                dbName = settings.dbName,
                dbUser = settings.dbUser,
                dbPass = settings.dbPass,
                league = settings.league
            }, Formatting.Indented));
        }
    }
}
