﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace PoEcoDB.Web
{
    internal class PoEPrices
    {
        public static WebClient web = new WebClient();
        public static void GetItemJson(string iid, string b64)
        {
            ServicePointManager.ServerCertificateValidationCallback = delegate { return true; };
            web.DownloadFile($"https://www.poeprices.info/api?l={JSON.Settings.GetLeague()}&i={b64}", "tmp/" + iid + ".json");
        }

        public static double GetMin(string iid)
        {
            return JsonConvert.DeserializeObject<PoEPricesRoot>(File.ReadAllText("tmp/" + iid + ".json")).min;
        }

        public static double GetMax(string iid)
        {
            return JsonConvert.DeserializeObject<PoEPricesRoot>(File.ReadAllText("tmp/" + iid + ".json")).max;
        }

        public static string GetCurType(string iid)
        {
            return JsonConvert.DeserializeObject<PoEPricesRoot>(File.ReadAllText("tmp/" + iid + ".json")).currency;
        }

        public class PoEPricesRoot
        {
            public double min { get; set; }

            public double max { get; set; }

            public string currency { get; set; }
        }
    }
}
